Bug 1251312 - user settings generating "uninitialized value" errors
user settings generating "uninitialized value" errors
Status: CLOSED WORKSFORME
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Matt Tyson
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 20:29 EDT by Jeff Fearn
Modified: 2015-08-10 23:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 23:45:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2015-08-06 20:29:24 EDT
Description of problem:
When running the stress test  the User setting are generating "uninitialized value" errors 

Version-Release number of selected component (if applicable):
Pg

How reproducible:
Easy

Steps to Reproduce:
1. run stress test
2. monitor error_log


Actual results:
Use of uninitialized value in string eq at /var/www/html/bugzilla/Bugzilla/Template.pm line 421.
Use of uninitialized value $skin in concatenation (.) or string at /var/www/html/bugzilla/Bugzilla/Template.pm line 464.


Expected results:
No "uninitialized value" errors
Comment 1 Matt Tyson 2015-08-09 22:49:19 EDT
(In reply to Jeff Fearn from comment #0)
> Use of uninitialized value $skin in concatenation (.) or string at
> /var/www/html/bugzilla/Bugzilla/Template.pm line 464.
> 

Is there any reliable way to reproduce this? From reading the code bugzilla will populate the $skin value from the site default if the user hasn't overridden it.

I can't replicate it in my testing.
Comment 2 Jeff Fearn 2015-08-09 23:07:40 EDT
If you put in some logging we can put it on -06 and run the stress test, which is where I saw it.
Comment 3 Jeff Fearn 2015-08-10 23:45:57 EDT
After cleaning out the logs and running the stress test this no longer presents ...

Note You need to log in before you can comment on or make changes to this bug.